local PL12 = {
		
		category     = CAT_AIR_TO_AIR,
        Name         = PL12, 
		user_name		= _("PL-12 air to air missile"),
		display_name = _('PL-12 air to air missile'),
		wsTypeOfWeapon 	= {wsType_Weapon,wsType_Missile,wsType_AA_Missile,WSTYPE_PLACEHOLDER},
        Escort = 0,
        Head_Type = 2,
		sigma = {5, 5, 5},
        M = 199,
        H_max = 25000,
        H_min = -1,
        Diam = 203,
        Cx_pil = 2,
        D_max = 75000,
        D_min = 700,
        Head_Form = 1,
        Life_Time = 180,
        Nr_max = 30,
        v_min = 140,
        v_mid = 900,
        Mach_max = 4,
        t_b = 0,
        t_acc = 3,
        t_marsh = 5,
        Range_max = 80000,
        H_min_t = 3,
        Fi_start = 0.5,
        Fi_rak = 3.14152,
        Fi_excort = 1.05,
        Fi_search = 1.05,
        OmViz_max = 0.52,
        warhead = enhanced_a2a_warhead(18),
        exhaust = {
        1,
        1,
        1,
        1
        },
        X_back = -1.74,
        Y_back = -0.11,
        Z_back = 0,
        Reflection = 0.0329,
        KillDistance = 11,
	    loft = 1,
        hoj = 1,
		ccm_k0 = 1,
		rad_correction = 1,
		shape_table_data =
		{
			{
				name	 = "PL12",
				file	 = "PL12",
				life	 = 1,
				fire	 = { 0, 1},
				username = "PL12",
				index = WSTYPE_PLACEHOLDER,
			},
		},
 PN_coeffs = {
    3,
    5000,
    1,
    15000,
    0.4,
    30000,
    0.2
  },
  supersonic_A_coef_skew = 0.25,
  nozzle_exit_area = 0.007238,
  ModelData = {   58,
    0.9,
    0.01,
    0.04,
    0.01,
    0.002,
    1.2,
    1.5,
    1.8,
    1,
    1,
    0.29,
    0,
    -1,
    -1,
    6,
    4,
    0,
    0,
    1000000000,
    0,
    0,
    10,
    2,
    0,
    0,
    0,
    0,
    0,
    26000,
    8000,
    0,
    0,
    0,
    1000000000,
    100,
    0,
    1,
    50000,
    50000,
    0.17,
    50,
    0,
    1.19,
    1,
    2,
    25200,
    3.92,
    3.2,
    0.75,
    70,
    70000,
    20000,
    18000,
    0.2,
    0.6,
    1.4,
    -3,
    0.5
					},
	}


declare_weapon(PL12) 

declare_loadout({
	category		=	CAT_AIR_TO_AIR,
	CLSID			= 	"{PLAAF_PL-12}",
	Picture	=	"PL-12.png",
	wsTypeOfWeapon	=	PL12.wsTypeOfWeapon,
	displayName	=	_("PL-12 air to air missile"),
	attribute	=	{4,	4,	32,	WSTYPE_PLACEHOLDER},
	Count			=	1,
	Weight			=	190,
	Elements	=	
	{
		{
		
			ShapeName	=	"PL12",
			Position	=	{0,	0,	0}
		},
	}, -- end of Elements
})

local PL10E = {
		
		category     = CAT_AIR_TO_AIR,
        Name         = PL10E, 
		user_name		= _("PL-10E air to air missile"),
		display_name = _('PL-10E air to air missile'),
		wsTypeOfWeapon 	=  {wsType_Weapon,wsType_Missile,wsType_AA_Missile,WSTYPE_PLACEHOLDER},
        Escort = 0,
        Head_Type = 1,
		sigma = {2, 2, 2},
        M = 85.5,
        H_max = 18000.0,
        H_min = -1,
        Diam = 127.0,
        Cx_pil = 2.58,
        D_max = 11000.0,
        D_min = 200.0,
        Head_Form = 0,
        Life_Time = 60.0,
        Nr_max = 55,
        v_min = 140.0,
        v_mid = 1000.0,
        Mach_max = 2.7,
        t_b = 0.0,
        t_acc = 5.0,
        t_marsh = 0.0,
        Range_max = 14000.0,
        H_min_t = 1.0,
        Fi_start = 1.57,
        Fi_rak = 3.14152,
        Fi_excort = 1.57,
        Fi_search = 0.09,
        OmViz_max = 1.10,
        warhead = enhanced_a2a_warhead(22.0),
        exhaust = { 1, 1, 1, 1 };
        X_back = -1.92,
        Y_back = 0.0,
        Z_back = 0.0,
        Reflection = 0.0182,
        KillDistance = 6.0,
		SeekerSensivityDistance = 45000,
        ccm_k0 = 0.2,
		PN_coeffs = {3, 					
					3000.0 ,1.0,		
					5000.0, 0.5,		
					10000.0, 0.2};	
		shape_table_data =
		{
			{
				name	 = "PL10E",
				file	 = "PL10E",
				life	 = 1,
				fire	 = { 0, 1},
				username = "PL10E",
				index = WSTYPE_PLACEHOLDER,
			},
		},
		
		ModelData = {     558 ,  -- model params count
						0.35 ,   -- characteristic square (характеристическая площадь)
						
						-- параметры зависимости Сx
						0.04 , -- Cx_k0 планка Сx0 на дозвуке ( M << 1)
						0.08 , -- Cx_k1 высота пика волнового кризиса
						0.02 , -- Cx_k2 крутизна фронта на подходе к волновому кризису
						0.05, -- Cx_k3 планка Cx0 на сверхзвуке ( M >> 1)
						1.2 , -- Cx_k4 крутизна спада за волновым кризисом 
						1.0 , -- коэффициент отвала поляры (пропорционально sqrt (M^2-1))
						
						-- параметры зависимости Cy
						0.9 , -- Cy_k0 планка Сy0 на дозвуке ( M << 1)
						0.8	 , -- Cy_k1 планка Cy0 на сверхзвуке ( M >> 1)
						1.2  , -- Cy_k2 крутизна спада(фронта) за волновым кризисом  
						
						0.7 , -- 7 Alfa_max  максимальный балансировачный угол, радианы
						10.0, -- Extra G by trust vector
						
					-- Engine data. Time, fuel flow, thrust.	
					--	t_statr		t_b		t_accel		t_march		t_inertial		t_break		t_end			-- Stage
						-1.0,		-1.0,	5.0,  		0.0,		0.0,			0.0,		1.0e9,         -- time of stage, sec
						 0.0,		0.0,	5.44,		0.0,		0.0,			0.0,		0.0,           -- fuel flow rate in second, kg/sec(секундный расход массы топлива кг/сек)
						 0.0,		0.0,	12802.0,	0.0,	0.0,			0.0,		0.0,           -- thrust, newtons
					
						 1.0e9, -- таймер самоликвидации, сек
						 60.0, -- время работы энергосистемы, сек
						 0, -- абсолютная высота самоликвидации, м
						 0.3, -- время задержки включения управления (маневр отлета, безопасности), сек
						 1.0e9, -- дальность до цели в момент пуска, при превышении которой ракета выполняется маневр "горка", м
						 1.0e9, -- дальность до цели, при которой маневр "горка" завершается и ракета переходит на чистую пропорциональную навигацию (должен быть больше или равен предыдущему параметру), м 
						 0.0,  -- синус угла возвышения траектории набора горки
						 30.0, -- продольное ускорения взведения взрывателя
						 0.0, -- модуль скорости сообщаймый катапультным устройством, вышибным зарядом и тд
						 1.19, -- характристика системы САУ-РАКЕТА,  коэф фильтра второго порядка K0
						 1.0, -- характристика системы САУ-РАКЕТА,  коэф фильтра второго порядка K1
						 2.0, -- характристика системы САУ-РАКЕТА,  полоса пропускания контура управления
						 0.0,
						 0.0,
						 0.0,
						 0.0,
						 0.0,
						 -- DLZ. Данные для рассчета дальностей пуска (индикация на прицеле)
						 11000.0, -- дальность ракурс   180(навстречу) град,  Н=10000м, V=900км/ч, м
						 5000.0, -- дальность ракурс 0(в догон) град,  Н=10000м, V=900км/ч, м
						 5000.0, -- дальность ракурс 	180(навстречу) град, Н=1000м, V=900км/ч, м
						 0.2, -- Уменьшение разрешенной дальности пуска при отклонении вектора скорости носителя от линии визирования цели.
						 1.0, -- Вертикальная плоскость. Наклон кривой разрешенной дальности пуска в нижнюю полусферу. Уменьшение дальности при стрельбе вниз.
						 1.4, -- Вертикальная плоскость. Наклон кривой разрешенной дальности пуска в верхнюю полусферу. Увеличение дальности при стрельбе вверх.
						-3.0, -- Вертикальная плоскость. Угол перегиба кривой разрешенной дальности, верхняя - нижняя полусфера.
						0.5, -- Изменение коэффициентов наклона кривой в верхнюю и нижнюю полусферы от высоты носителя.
					},
	}


declare_weapon(PL10E) 

declare_loadout({
	category		=	CAT_AIR_TO_AIR,
	CLSID			= 	"{PLAAF_PL-10E}",
	Picture	=	"PL-10E.png",
	wsTypeOfWeapon	=	PL10E.wsTypeOfWeapon,
	displayName	=	_("PL-10E air to air missile"),
	attribute	=	{4,	4,	32,	WSTYPE_PLACEHOLDER},
	Count			=	1,
	Weight			=	165,
	Elements	=	
	{
		{
		
			ShapeName	=	"PL10E",
			Position	=	{0,	0,	0}
		},
	}, -- end of Elements
})

YJ91 =
{
	category		= CAT_MISSILES,
	name			= "YJ-91 Anti Radiation Missile",
	user_name		= _("YJ-91 Anti Radiation Missile"),
	wsTypeOfWeapon 	= {wsType_Weapon, wsType_Missile, wsType_AS_Missile,WSTYPE_PLACEHOLDER},
	scheme			= "anti_radiation_missile",              
	class_name		= "wAmmunitionSelfHoming",                          
	model			= "YJ91",
	 mass = 850,
	
	
	
	
      
       Escort = 0,
        Head_Type = 3,
		sigma = {10, 10, 10},
        M = 600.0,
        H_max = 15000.0,
        H_min = -1,
        Diam = 360.0,
        Cx_pil = 15.6,
        D_max = 200000.0,
        D_min = 15000.0,
        Head_Form = 1,
        Life_Time = 1000.0,
        Nr_max = 12,
        v_min = 180.0,
        v_mid = 2000.0,
        Mach_max = 2.54,
        t_b = 0.0,
        t_acc = 6.0,
        t_marsh = 300.0,
        Range_max = 110000.0,
        H_min_t = 0.0,
        Fi_start = 0.35,
        Fi_rak = 3.14152,
        Fi_excort = 0.35,
        Fi_search = 99.9,
        OmViz_max = 99.9,
        --warhead = antiship_penetrating_warhead(480, 343),
        exhaust1 = {1, 1, 1, 1},
        X_back = -1.341,
        Y_back = -0.178,
        Z_back = 0.0,
        Reflection = 0.3,
        KillDistance = 5.0,
		
		LaunchDistData =
		{
			18,		6,
			
					180,	250,	300,	350,	400,	450,
				
			100,	27000,	31000,	35000,	39000,	42000,	46000,	
			400,	28000,	33000,	36000,	40000,	44000,	49000,	
			700,	30000,	34000,	38000,	42000,	46000,	51000,	
			1000,	31000,	36000,	39000,	44000,	49000,	53000,	
			2000,	37000,	41000,	46000,	52000,	56000,	66000,	
			3000,	43000,	51000,	56000,	61000,	66000,	73000,	
			4000,	48000,	55000,	62000,	67000,	74000,	80000,	
			5000,	52000,	61000,	67000,	73000,	80000,	88000,	
			6000,	56000,	66000,	73000,	79000,	87000,	95000,	
			7000,	60000,	70000,	78000,	85000,	93000,	102000,	
			8000,	65000,	75000,	83000,	91000,	99000,	108000,	
			9000,	68000,	79000,	88000,	98000,	105000,	114000,	
			10000,	72000,	83000,	92000,	101000,	112000,	119000,	
			11000,	76000,	87000,	98000,	105000,	115000,	124000,	
			12000,	79000,	91000,	99000,	108000,	119000,	129000,	
			13000,	81000,	93000,	103000,	112000,	121000,	134000,	
			14000,	84000,	96000,	106000,	117000,	125000,	134000,	
			15000,	86000,	98000,	107000,	117000,	127000,	135000,	
		},

		MinLaunchDistData =
		{
			14,		6,
			
					200,	250,	300,	350,	400,	450,	
					
			100,	15000,	15000,	15000,	15000,	16000,	17000,	
			500,	15000,	15000,	15000,	15000,	17000,	18000,	
			1000,	15000,	15000,	15000,	16000,	17000,	18000,	
			2000,	15000,	15000,	15000,	17000,	18000,	19000,	
			4000,	15000,	15000,	15000,	15000,	20000,	20000,	
			5000,	15000,	15000,	15000,	15000,	15000,	15000,	
			8000,	15000,	15000,	15000,	15000,	15000,	15000,	
			9000,	15000,	15000,	15000,	15000,	16000,	17000,	
			10000,	15000,	15000,	15000,	16000,	17000,	18000,	
			11000,	15000,	15000,	16000,	18000,	19000,	20000,	
			12000,	16000,	17000,	18000,	19000,	20000,	22000,	
			13000,	17000,	18000,	20000,	21000,	22000,	23000,	
			14000,	18000,	20000,	21000,	23000,	24000,	25000,	
			15000,	20000,	21000,	23000,	24000,	26000,	27000,	
		},
    --},
		
    
	 
	shape_table_data =
	{
		{
			name	 = "YJ91",
			file	 = "YJ91",
			life	 = 1,
			fire	 = { 0, 1},
			username = _("YJ91"),
			index	 = WSTYPE_PLACEHOLDER,
				
			
		},
	},
	
	
	
	
	
	
	
	fm = {
		mass        = 600,  
		caliber     = 0.360,  
		cx_coeff    = {1,0.5,1.1,0.5,1.4},
		L           = 4.7,
		I           = 1 / 12 * 600 * 4.7 * 4.7,
		Ma          = 0.3,
		Mw          = 1.116,
		wind_sigma	= 0.0,
		wind_time	= 0.0,
		Sw			= 0.6,
		dCydA		= {0.07, 0.036},
		A			= 0.36,
		maxAoa		= 0.28,
		finsTau		= 0.1,
		lockRoll	= 1,
		
		Ma_x		= 0.001,
		Kw_x		= 0.001,
		I_x			= 60,
	},
	
	radio_seeker = {
		FOV					= math.rad(30),
		op_time				= 900,
		keep_aim_time		= 4,
		pos_memory_time		= 40,
		sens_near_dist		= 300.0,
		sens_far_dist		= 40000.0,
		err_correct_time	= 2.5,
		err_val				= 0.0044,
		calc_aim_dist		= 500000,
		blind_rad_val		= 0.2,
		blind_ctrl_dist		= 2000,
		aim_y_offset		= 2.0,
	},
	controller = {
		boost_start = 0.001,
		march_start = 2.001,
	},
	
	booster = {
		impulse								= 160,
		fuel_mass							= 20,
		work_time							= 2,
		boost_time							= 0,
		boost_factor						= 0,
		nozzle_position						= {{-2.0, -0.21, 0}},
		nozzle_orientationXYZ				= {{0.0, 0.0, 0.0}},
		tail_width							= 0.2,
		smoke_color							= {0.8, 0.8, 0.8},
		smoke_transparency					= 0.8,
		custom_smoke_dissipation_factor		= 0.2,				
	},
	
	
	march = {
		impulse								= 280,
		fuel_mass							= 100,
		work_time							= 6,
		boost_time							= 0,
		boost_factor						= 0,
		nozzle_position						= {{-2.15, -0.21, 0}},
		nozzle_orientationXYZ				= {{0.0, 0.0, 0.0}},
		tail_width							= 0.1,
		smoke_color							= {0.9, 0.9, 0.9},
		smoke_transparency					= 0.05,
		custom_smoke_dissipation_factor		= 0.45,	
		effect_type 						= 1,
		min_start_speed						= 220,
	},
	simple_gyrostab_seeker = {
		omega_max	= math.rad(8)
	},
	
	fuze_proximity = {
		ignore_inp_armed = 1,
	},
	
	autopilot = {
		K				 = 240.0,
		Kg				 = 24.0,
		Ki				 = 0.0,
		finsLimit		 = 0.25,
		useJumpByDefault = 1,
		J_Power_K		 = 1.2,
		J_Diff_K		 = 0.4,
		J_Int_K			 = 0.0,
		J_Angle_K		 = math.rad(14),
		J_FinAngle_K	 = math.rad(24),
		J_Angle_W		 = 3.5,
		delay			 = 1.0,
	},
	
	
		warhead = antiship_penetrating_warhead(480, 343),
	warhead_air = antiship_penetrating_warhead(480, 343),


	

   
}

declare_weapon(YJ91)





declare_loadout({
	category 		= CAT_MISSILES,
	CLSID	 		= "{PLAAF_YJ-91}",
	attribute		= YJ91.wsTypeOfWeapon,
	Count 			= 1,
	Cx_pil			= YJ91.Cx,
	Picture			= "YJ-91.png",
	displayName		= YJ91.user_name,
	Weight			= YJ91.mass,
	Elements  		= {{ShapeName = YJ91.model}},
	
		
	
	
})

KD88 =
{
	category		= CAT_MISSILES,
	name			= "KD-88 cruise missile",
	user_name		= _("KD-88 cruise missile"),
	scheme			= "cruise_missile",
	class_name		= "wAmmunitionCruise",
	model			= "KD88",
	mass			= 675,
	
	wsTypeOfWeapon 	= {wsType_Weapon,wsType_Missile,wsType_AS_Missile,WSTYPE_PLACEHOLDER},

	Escort			= 0,
	Head_Type		= 5,
	sigma			= {20, 20, 20},
	M				= 675.0,
	H_max			= 13000.0,
	H_min			= -1,
	Diam			= 343.0,
	Cx_pil			= 8,
	D_max			= 1800000.0,
	D_min			= 10000.0,
	Head_Form		= 0,
	Life_Time		= 100000,
	Nr_max			= 6,
	v_min			= 170.0,
	v_mid			= 237.5,
	Mach_max		= 0.95,
	t_b				= 0.0,
	t_acc			= 5.0,
	t_marsh			= 10000.0,
	Range_max		= 2500000.0,
	H_min_t			= 500.0,
	Fi_start		= 0.35,
	Fi_rak			= 3.14152,
	Fi_excort		= 0.7,
	Fi_search		= 99.9,
	OmViz_max		= 99.9,
	X_back = -3.392,
	Y_back = 0.064,
	Z_back = 0.0,
	Reflection = 0.1691,
	KillDistance = 0.0,
	
	add_attributes = {"Cruise missiles"},
		
	shape_table_data =
	{
		{
			name	 = "KD88",
			file	 = "KD88",
			life	 = 1,
			fire	 = { 0, 1},
			username = _("KD88"),
			index	 = WSTYPE_PLACEHOLDER,
		},
	},
	
	controller = {
		boost_start	= 0.001,
		march_start = 0.8,
	},
	
	fm = {
		mass        = 675,  
		caliber     = 0.343,  
		cx_coeff    = {1, 0.3, 0.65, 0.018, 1.6},
		L           = 4.37,
		I           = 1500,
		Ma          = 3,	--y
		Mw          = 10,
		wind_sigma	= 0.0,
		wind_time	= 0.0,
		Sw			= 1.2,
		dCydA		= {0.07, 0.036},
		A			= 0.08,
		maxAoa		= 0.2,
		finsTau		= 0.08,
		Ma_x		= 3,
		Ma_z		= 3,
		Kw_x		= 0.05,
	},
	
	simple_seeker = {
		sensitivity = 0,
		delay		= 0.0,
		FOV			= 0.6,
		maxW		= 500,
		opTime		= 9999,
	},
	
	control_block ={
		seeker_activation_dist		= 20000,
		default_cruise_height		= 50,
		obj_sensor					= 1,
		can_update_target_pos		= 0,
		turn_before_point_reach		= 1,
		turn_hor_N					= 0.8,
		turn_max_calc_angle_deg		= 90,
		turn_point_trigger_dist		= 100,
	},
	
	final_autopilot =		{
		delay = 0,
		K					= 60,
		Ki					= 0,
		Kg					= 4,
		finsLimit			= 0.8,
		useJumpByDefault	= 1,
		J_Power_K			= 2.4,
		J_Diff_K			= 0.8,
		J_Int_K				= 0,
		J_Angle_K			= 0.17,
		J_FinAngle_K		= 0.195,
		J_Angle_W			= 2.4,
		hKp_err				= 100,
		hKp_err_croll		= 0.04,
		hKd					= 0.005,
		max_roll			= 0.7,
	},
	
	cruise_autopilot = {
		delay				= 1,
		Kp_hor_err			= 240,
		Kp_hor_err_croll	= 0.06,
		Kd_hor				= 0,
		Kp_ver				= 9,
		Kii_ver				= 0.2,
		Kd_ver				= 0,
		Kp_eng				= 265,
		Ki_eng				= 0.003,
		Kd_eng				= 0,
		Kp_ver_st1			= 0.009,
		Kd_ver_st1			= 0.015,
		Kp_ver_st2			= 0.00018,
		Kd_ver_st2			= 0.00005,
		
		auto_terrain_following			= 1,
		auto_terrain_following_height	= 50,
		
		alg_points_num			= 7,
		alg_calc_time			= 1.5,
		alg_vel_k				= 6,
		alg_div_k				= 2,
		alg_max_sin_climb		= 0.7,
		alg_section_temp_points	= 3,
		alg_tmp_point_vel_k		= 1.5,
		no_alg_vel_k			= 10,
		
		max_roll			= 0.7,
		max_start_y_vel		= 35,
		stab_vel			= 237.5,
		finsLimit			= 0.8,
		estimated_N_max		= 6,
		eng_min_thrust		= -100,
		eng_max_thrust		= 3000,		
	},
	
	boost = {				
		impulse								= 160,
		fuel_mass							= 20,
		work_time							= 2,
		boost_time							= 0,
		boost_factor						= 0,
		nozzle_position						= {{-2.0, -0.21, 0}},
		nozzle_orientationXYZ				= {{0.0, 0.0, 0.0}},
		tail_width							= 0.2,
		smoke_color							= {0.8, 0.8, 0.8},
		smoke_transparency					= 0.8,
		custom_smoke_dissipation_factor		= 0.2,				
	},
	
	booster_animation = {
		start_val = 0,
	},
	
	play_booster_animation = {
		val = 0,
	},
	
	march = {
		impulse			= 690,
		fuel_mass		= 67.5,
		work_time		= 9999,
		min_fuel_rate	= 0.005,
		min_thrust		= -100,
		max_thrust		= 3000,
		thrust_Tau		= 0.0017,
	},
	engine_control = {
		default_speed	= 250,
		K				= 265,
		Kd				= 0.1,
		Ki				= 0.01,
	},
	warhead		= penetrating_warhead(340, 343),
	warhead_air = penetrating_warhead(340, 343),
}

declare_weapon(KD88)

declare_loadout({
	category 		= CAT_MISSILES,
	CLSID	 		= "{PLAAF_KD-88}",
	attribute		= KD88.wsTypeOfWeapon,
	Count 			= 1,
	Cx_pil			= KD88.Cx,
	Picture			= "KD-88.png",
	displayName		= KD88.user_name,
	Weight			= KD88.mass,
	Elements  		= {{ShapeName = KD88.model}},
	
		
	
	
})

local PL15 = {
		
		category     = CAT_AIR_TO_AIR,
        Name         = PL15, 
		user_name		= _("PL-15 air to air missile"),
		display_name = _('PL-15 air to air missile'),
		wsTypeOfWeapon 	= {wsType_Weapon,wsType_Missile,wsType_AA_Missile,WSTYPE_PLACEHOLDER},
        Escort = 0,
        Head_Type = 2,
		sigma = {10, 10, 10},
        M = 190.0,
        H_max = 24400.0,
        H_min = -1.0,
        Diam = 380.0,
        Cx_pil = 5,
        D_max = 25000.0,
        D_min = 500.0,
        Head_Form = 1,
        Life_Time = 200.0,
        Nr_max = 12,
        v_min = 140.0,
        v_mid = 800.0,
        Mach_max = 6,
        t_b = 0.0,
        t_acc = 6.0,
        t_marsh = 40.0,
        Range_max = 150000.0,
        H_min_t = 20.0,
        Fi_start = 0.3,
        Fi_rak = 3.14152,
        Fi_excort = 0.87,
        Fi_search = 0.87,
        OmViz_max = 0.35,
        warhead = enhanced_a2a_warhead(22.0),
        exhaust = { 1, 1, 1, 1 },
        X_back = -1.222,
        Y_back = -0.111,
        Z_back = 0.0,
        Reflection = 0.076,
        KillDistance = 20.0,
		ccm_k0 = 0.0,
		shape_table_data =
		{
			{
				name	 = "PL15",
				file	 = "PL15",
				life	 = 1,
				fire	 = { 0, 1},
				username = "PL15",
				index = WSTYPE_PLACEHOLDER,
			},
		},
		
		ModelData = {  58,  -- model params count
                        0.9,   -- characteristic square (характеристическаЯ площадь)

                        -- параметры зависимости ‘x
                        0.01, -- Cx_k0 планка ‘x0 на дозвуке ( M << 1)
                        0.031, -- Cx_k1 высота пика волнового кризиса
                        0.03, -- Cx_k2 крутизна фронта на подходе к волновому кризису
                        0.028, -- Cx_k3 планка Cx0 на сверхзвуке ( M >> 1)
                        0.9, -- Cx_k4 крутизна спада за волновым кризисом
                        1.5, -- коэффициент отвала полЯры (пропорционально sqrt (M^2-1))

                        -- параметры зависимости Cy
                        0.9, -- Cy_k0 планка ‘y0 на дозвуке ( M << 1)
                        0.8, -- Cy_k1 планка Cy0 на сверхзвуке ( M >> 1)
                        1.2, -- Cy_k2 крутизна спада(фронта) за волновым кризисом

                        0.45, -- 7 Alfa_max  максимальный балансировачный угол, радианы
                        0.0, --угловаЯ скорость создаваймаЯ моментом газовых рулей

                    -- Engine data. Time, fuel flow, thrust.
                    --  t_start     t_b     t_accel     t_march     t_inertial      t_break     t_end           -- Stage
                         0.27,       -1.0,   27.0,       0.0,        0.0,            0.0,        1.0e9,         -- time of stage, sec
                         0.0,       0.0,    6.048,      0.0,        0.0,            0.0,        0.0,           -- fuel flow rate in second, kg/sec(секундный расход массы топлива кг/сек)
                         0.0,       0.0,    15723.1,    0.0,        0.0,            0.0,        0.0,           -- thrust, newtons

                         1.0e9, -- таймер самоликвидации, сек
                         160.0, -- времЯ работы энергосистемы, сек
                         0, -- абсолютнаЯ высота самоликвидации, м
                         1.5, -- времЯ задержки включениЯ управлениЯ (маневр отлета, безопасности), сек
                         30000, -- дальность до цели в момент пуска, при превышении которой ракета выполнЯетсЯ маневр "горка", м
                         40000, -- дальность до цели, при которой маневр "горка" завершаетсЯ и ракета переходит на чистую пропорциональную навигацию (должен быть больше или равен предыдущему параметру), м
                         0.20,  -- синус угла возвышениЯ траектории набора горки
                         50.0, -- продольное ускорениЯ взведениЯ взрывателЯ
                         0.0, -- модуль скорости сообщаймый катапультным устройством, вышибным зарЯдом и тд
                         1.19, -- характристика системы ‘Ђ“-ђЂЉ…’Ђ,  коэф фильтра второго порЯдка K0
                         1.0, -- характристика системы ‘Ђ“-ђЂЉ…’Ђ,  коэф фильтра второго порЯдка K1
                         2.0, -- характристика системы ‘Ђ“-ђЂЉ…’Ђ,  полоса пропусканиЯ контура управлениЯ
                         25200.0, -- дальность полета в горизонт с располагаемой перегрузкой Navail >= 1.0 на высоте H=2000
                         3.92, -- крутизна зависимости  дальность полета в горизонт с располагаемой перегрузкой Navail >= 1.0 от высоты H
                         3.2,
                         0.75, -- безразмерный коэф. эффективности ‘Ђ“ ракеты
                         70.0, -- расчет времени полета
                          -- DLZ. „анные длЯ рассчета дальностей пуска (индикациЯ на прицеле)
                         63000.0, -- дальность ракурс   180(навстречу) град,  Ќ=10000м, V=900км/ч, м
                         25000.0, -- дальность ракурс 0(в догон) град,  Ќ=10000м, V=900км/ч
                         22000.0, -- дальность ракурс    180(навстречу) град, Ќ=1000м, V=900км/ч
                         0.2,
                         0.6,
                         1.4,
                        -3.0,
                        0.5,
					},
	}


declare_weapon(PL15) 

declare_loadout({
	category		=	CAT_AIR_TO_AIR,
	CLSID			= 	"{PLAAF_PL-15}",
	Picture	=	"PL-15.png",
	wsTypeOfWeapon	=	PL15.wsTypeOfWeapon,
	displayName	=	_("PL-15 air to air missile"),
	attribute	=	{4,	4,	32,	104,	WSTYPE_PLACEHOLDER},
	Count			=	1,
	Weight			=	190,
	Elements	=	
	{
		{
		
			ShapeName	=	"PL15",
			Position	=	{0,	0,	0}
		},
	}, -- end of Elements
})
